@namespace url(http://www.w3.org/1999/xhtml);
@-moz-document domain("mail.google.com") {
    /* Basic color replacements */
    
    a:link, a:visited {
        color: #039 !important;
    }
    
    a:hover {
        color: #fff !important;
        background-color: #039 !important;
    }
    
    #Header {
        background-color: #65a64c !important;
    }
    
    #Header h1 {
        color: #fff !important;
    }
    
    #P2P_selector {
        border: 1px solid #485C8A !important;
        color: #000 !important;
    }
    
    #Header h3, #Header h3 a:link, #Header h3 a:visited {
        color: #fff !important;
    }
    
    #Header h3 a:hover {
        color: #fff !important;
        background: none !important;
    }
    
    #Header h3 a.current:link, #Header h3 a.current:visited {
        color: #fff !important;
    }
    
    #Header h3 a.current:hover {
        color: #fff !important;
        background: none !important;
    }
    
    #Header h1 a:link, #Header h1 a:visited {
        color: #000 !important;
        text-decoration: none !important;
    }
    
    #Header h1 a:hover {
        color: #000 !important;
        background-color: #C5E2E9 !important;
        text-decoration: underline !important;
    }
    
    #Header a.image:hover { background-color: transparent !important; }
    
    #Header h1 span {
        color: #b4cdaa !important;
    }
    
    #Tabs a:link, #Tabs a:visited {
        background-color: #28292c !important;
        color: #FFF !important;
        border: 1px solid #65a64c !important;
        border-bottom: 1px solid #6e6e6e !important;
    }
    
    #Tabs ul#MainTabs a:link.current, #Tabs ul#MainTabs a:visited.current,
    div#CategoryList a.current:link, div#CategoryList a.current:visited {
        color: #000 !important;
        border-bottom-color: #e8e8e8 !important;
    }
    
    #Tabs ul#MainTabs a { margin-left: 2px !important; }
    
    #Tabs a:hover {
        text-decoration: underline !important;
        border-bottom: 1px solid #6e6e6e !important;
    }
    
    #Tabs a:active { text-decoration: none !important; }
    
    #Tabs li#AdminTab a:link, #Tabs li#AdminTab a:visited {
        color: #485C8A !important;
        background-color: #C5E2E9 !important;
        border-bottom: 1px solid #6e6e6e !important;
        text-decoration: underline !important;
    }
    
    #Tabs li#AdminTab a:hover {
        color: #000 !important;
    }
    
    #Tabs li#AdminTab a.current {
        color: #000 !important;
        text-decoration: none !important;
    }
    
    span.switch div.menu a.hover,
    span.switch div.menu a.hover span {
        background: #f3f4f5 !important;
    }
    
    span.switch div.menu a:active,
    span.switch div.menu a:active span {
        background: #ffa !important;
    }
    
    table.forum_view td.message a:hover {
        color: #039 !important;
    }
    
    table.forum_view td.message a span.title:hover {
        color: #fff !important;
        background: #039 !important;
    }
    
    /* Hide the logo box and milestones calendar in the dashboard */
    div#LogoBox { display: none !important; }
    #dashboard_calendar { display: none !important; }
    
    /* Repair the open bar styles */
    div#open_bar {
        background: #28292c !important;
        position: relative !important;
        text-align: left !important;
        font-size: 10px !important;
        z-index: 100 !important;
    }
    
    div#open_bar div.message {
        padding: 5px 30px !important;
        color: #999 !important;
        margin: 0 !important;
    }
    
    div#open_bar ul {
        margin: 0 !important;
        padding: 0 !important;
    }
    
    div#open_bar li {
        list-style-type: none !important;
        line-height: normal !important;
        padding: 0 !important;
    }
    
    div#open_bar ul.menus {
        padding: 0 25px !important;
    }
    
    div#open_bar li.menu {
        float: left !important;
        position: relative !important;
        margin-right: 4px !important;
    }
    
    div#open_bar li.menu a {
        position: relative !important;
        display: block !important;
        padding: 4px 5px !important;
        font-size: 10px !important;
        color: #999 !important;
        text-decoration: none !important;
    }
    
    div#open_bar li.menu a:hover {
        background: #28292c !important;
    }
    
    div#open_bar li.menu a.on {
        color: #ddd !important;
    }
    
    div#open_bar li.menu a.on:hover {
        color: #ddd !important;
    }
    
    div#open_bar li.menu a.account:hover {
        color: #fff !important;
    }
    
    div#open_bar li.menu a.current_account:hover {
        color: #999 !important;
    }
    
    div#open_bar li.menu div.items {
        display: none !important;
        position: absolute !important;
        z-index: 5 !important;
        left: 0 !important;
        width: 200px !important;
        background: url(/images/open_bar_bg.png) repeat !important;
    }
    
    div#open_bar li.hover div.items {
        display: block !important;
    }
    
    div#open_bar li.menu ul.items {
        padding: 0 3px 3px 0 !important;
    }
    
    div#open_bar li.item {
        background: #28292c !important;
        border-top: 1px solid #222 !important;
    }
    
    div#open_bar li.item a {
        padding-left: 10px !important;
    }
    
    div#open_bar ul.items li.last {
        padding-bottom: 5px !important;
    }
    
    /* Pills */
    
    html body.todos div.list a.attached_milestone:hover {
      color: #fff !important;
      background: #666 !important;
    }
    
    html body.todos div.list a.pill_todo_item.menu_target:hover {
      background-color: #CCC !important;
    }
    
    html body.todos div.list a.pill_todo_item.menu_target:hover span.content {
      color: #333 !important;
    }
    
    body.todos div.list .active_menu a.pill_todo_item,
    body.todos div.list .active_menu a.pill_todo_item.menu_target:hover {
      background-color: #000 !important;
    }
    
    body.todos div.list .active_menu a.pill_todo_item.menu_target.busy {
      background-color: #eee !important;;
    }
    
    body.todos div.list .active_menu a.pill_todo_item.menu_target span.content {
      color: #fff !important;
    }
    
    body.todos div.list .active_menu a.pill_todo_item.menu_target:hover span.content {
      color: #fff !important;
    }
}